aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/distrib/csharp/update_version.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/distrib/csharp/update_version.sh')
-rw-r--r--test/distrib/csharp/update_version.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/test/distrib/csharp/update_version.sh b/test/distrib/csharp/update_version.sh
new file mode 100644
index 0000000000..1df8466832
--- /dev/null
+++ b/test/distrib/csharp/update_version.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -e
+
+cd $(dirname $0)
+
+# Replaces version placeholder with value provided as first argument.
+sed -i "s/__GRPC_NUGET_VERSION__/$1/g" DistribTest/packages.config DistribTest/DistribTest.csproj \ No newline at end of file